---
title: RTCError.sctpCauseCode
slug: Web/API/RTCError/sctpCauseCode
tags:
  - API
  - Error
  - Networking
  - Property
  - RTCError
  - Read-only
  - Reference
  - SCTP
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - sctpCauseCode
---
<p>{{APIRef("WebRTC")}}</p>

<p>The read-only <code><strong>sctpCauseCode</strong></code> property in an {{domxref("RTCError")}} object provides the {{Glossary("SCTP")}} cause code explaining why the SCTP negotiation failed, if the <code>RTCError</code> represents an SCTP error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>sctpCause</em> = <em>rtcError</em>.sctpCauseCode;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long integer value specifying SCTP cause code explaining why the error occurred. This property is <code>null</code> if the error isn't an SCTP error, with its {{domxref("RTCError.errorDetail", "errorDetail")}} property set to <code>sctp-failure</code>.</p>

<p>The standard SCTP error cause codes, numbered 1-13, are defined in the SCTP specification: {{RFC(4960, "", "3.3.10")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerror-sctpcausecode', 'RTCError.sctpCauseCode')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCError.sctpCauseCode")}}</p>
